datablock AudioProfile(musicData_Running_In_The_90s) {
   fileName = "./Running_In_The_90s/.ogg";
   description = "AudioMusicLooping3d";
   preload = "1";
   uiName = "Running In The 90s";
};
if(isPackage(runningVehicle))
   deactivatepackage(runningVehicle);
package runningVehicle
{
   function wheeledVehicleData::onAdd(%data,%obj)
   {
      Parent::onAdd(%data,%obj);
      %obj.schedule(0,runningThread);
   }
   function FlyingwheeledVehicleData::onAdd(%data,%obj)
   {
      Parent::onAdd(%data,%obj);
      %obj.schedule(0,runningThread);
   }
   function FlyingVehicleData::onAdd(%data,%obj)
   {
      Parent::onAdd(%data,%obj);
      %obj.schedule(0,runningThread);
   }
};
activatepackage(runningVehicle);
function Vehicle::runningThread(%obj)
{
   cancel(%obj.runningSched);
   %len=vectorLen(%obj.getVelocity());
   if(%len>=90 && !%obj.running)
   {
      %obj.running=1;
      %obj.playAudio(0,musicData_Running_In_The_90s);
   }
   if(%len>=90)
   {
      for(%i=0;%i<%obj.getMountedObjectCount();%i++)
      {
         %mount = %obj.getMountedObject(%i);
         if(isObject(%mount.client))
            %mount.client.bottomprint("\c5Speed\c6: "@%len,1,1);
      }
   }
   %obj.runningSched=%obj.schedule(50,RunningThread);
}